CREATE TABLE IF NOT EXISTS authorizations_succeeded_failed
(
    id
    INTEGER
    PRIMARY
    KEY
    AUTO_INCREMENT
    ,
    card_number
    VARCHAR,
    cvv
    VARCHAR,
    address
    VARCHAR,
    amount
    DOUBLE,
    result_code
    VARCHAR,
    auth_code
    VARCHAR,
    psp_reference
    VARCHAR,
    avs_result
    VARCHAR,
    card_summary
    VARCHAR,
    refusal_reason_raw
    VARCHAR,
    eci
    VARCHAR,
    acquirer_account_code
    VARCHAR,
    expiry_date
    VARCHAR,
    xid
    VARCHAR,
    cavv_algorithm
    VARCHAR,
    card_bin
    VARCHAR,
    three_d_authenticated
    VARCHAR,
    cvc_result_raw
    VARCHAR,
    payment_method_variant
    VARCHAR,
    acquirer_reference
    VARCHAR,
    card_issuing_country
    VARCHAR,
    liability_shift
    VARCHAR,
    card_holder_name
    VARCHAR,
    is_card_commercial
    VARCHAR,
    three_d_offered
    VARCHAR,
    three_d_offered_response
    VARCHAR,
    authorisation_mid
    VARCHAR,
    issuer_country
    VARCHAR,
    cvc_result
    VARCHAR,
    cavv
    VARCHAR,
    three_d_authenticated_response
    VARCHAR,
    avs_result_raw
    VARCHAR,
    payment_method
    VARCHAR,
    card_payment_method
    VARCHAR,
    acquirer_code
    VARCHAR
);
